PHPExcel_IOFactory

category | PHPExcel
package | PHPExcel
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Add search location

    addSearchLocation(string $type, string $location, string $classname)

Static

static |
access | public

### Parameters

#### $type

`string`

Example: IWriter

#### $location

`string`

Example: PHPExcel/Writer/{0}.php

#### $classname

`string`

Example: PHPExcel_Writer_{0}

## Create PHPExcel_Reader_IReader

    createReader(string $readerType) : \PHPExcel_Reader_IReader

Static

static |
access | public

### Parameters

#### $readerType

`string`

Example: Excel2007

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel_Reader_IReader`

## Create PHPExcel_Reader_IReader for file using automatic PHPExcel_Reader_IReader resolution

    createReaderForFile(string $pFilename) : \PHPExcel_Reader_IReader

Static

static |
access | public

### Parameters

#### $pFilename

`string`

The name of the spreadsheet file

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel_Reader_IReader`

## Create PHPExcel_Writer_IWriter

    createWriter(\PHPExcel $phpExcel, string $writerType) : \PHPExcel_Writer_IWriter

Static

static |
access | public

### Parameters

#### $phpExcel

`\PHPExcel`

#### $writerType

`string`

Example: Excel2007

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Get search locations

    getSearchLocations() : array

Static

static |
access | public

### Returns

`array`

## Identify file type using automatic PHPExcel_Reader_IReader resolution

    identify(string $pFilename) : string

Static

static |
access | public

### Parameters

#### $pFilename

`string`

The name of the spreadsheet file to identify

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`string`

## Loads PHPExcel from file using automatic PHPExcel_Reader_IReader resolution

    load(string $pFilename) : \PHPExcel

Static

static |
access | public

### Parameters

#### $pFilename

`string`

The name of the spreadsheet file

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`\PHPExcel`

## Set search locations

    setSearchLocations(array $value)

Static

static |
access | public

### Parameters

#### $value

`array`

### Exceptions

`\PHPExcel_Reader_Exception` |

## Private constructor for PHPExcel_IOFactory

    __construct()

### Properties

##

    $_autoResolveClasses : array

access | private
static |

##

    $_searchLocations : array

access | private
static |